import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:wenyuan_plugin_demo/wenyuan_plugin_demo.dart';

void main() {
  const MethodChannel channel = MethodChannel('wenyuan_plugin_demo');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await WenyuanPluginDemo.platformVersion, '42');
  });
}
